BillOS v1
Console llms.txt OpenAPI
GET/businesses/{bid}/parties

List parties

GET /businesses/{bid}/parties

Requires the businesses scope.

Path parameters

NameTypeDescription
bidstringrequiredBusiness id, from POST /businesses.

Query parameters

NameTypeDescription
kindstringFilter by party kind. Omit for all. One of: customer, supplier, both.

Response

200: { "ok": true, … }

FieldTypeDescription
okbooleanrequired
partiesarray of Partyrequired

Errors: 400, 401, 403, 404, 429. Every failure answers { "error": …, "reason": … }. Branch on reason.

GET /businesses/{bid}/parties
curl -X GET "$BASE/businesses/$BID/parties?kind=" \
  -H "X-Api-Key: $KEY"
const res = await fetch(`${BASE}/businesses/${BID}/parties`, {
  method: 'GET',
  headers: {
    'X-Api-Key': KEY,
  },
})
const data = await res.json()
if (!data.ok) throw new Error(data.reason)
import requests
res = requests.get(
    f"{BASE}/businesses/{BID}/parties",
    headers={"X-Api-Key": KEY},
)
data = res.json()
Set BASE to https://api.billos.co.il/v1 and KEY to your bk_live_… key, or a bk_test_… key to run it against the sandbox.
Manage your businesses, keys and webhooks in the BillOS Console.